Gecode::Int::Bool Namespace Reference

Boolean propagators. More...

## Classes

class | BoolBinary
| Base-class for binary Boolean propagators. More...
class | BoolTernary
| Base-class for ternary Boolean propagators. More...
class | Eq
| Boolean equality propagator. More...
class | NaryEq
| n-ary Boolean equality propagator More...
class | Lq
| Boolean less or equal propagator. More...
class | NaryLq
| Nary Boolean less or equal propagator. More...
class | Le
| Boolean less propagator. More...
class | BinOrTrue
| Binary Boolean disjunction propagator (true). More...
class | TerOrTrue
| Ternary Boolean disjunction propagator (true). More...
class | QuadOrTrue
| Quarternary Boolean disjunction propagator (true). More...
class | Or
| Boolean disjunction propagator. More...
class | NaryOr
| Boolean n-ary disjunction propagator. More...
class | NaryOrTrue
| Boolean n-ary disjunction propagator (true). More...
class | Eqv
| Boolean equivalence propagator. More...
class | NaryEqv
| Boolean n-ary equivalence propagator. More...
class | Clause
| Boolean clause propagator (disjunctive). More...
class | ClauseTrue
| Boolean clause propagator (disjunctive, true). More...
class | IteBase
| If-then-else propagator base-class. More...
class | IteBnd
| If-then-else bounds-consistent propagator. More...
class | IteDom
| If-then-else domain-consistent propagator. More...
class | OrTrueSubsumed
| Binary Boolean disjunction propagator (subsumed). More...

## Functions

template<class VX, class VY>
ExecStatus | resubscribe (Space &home, Propagator &p, VX &x0, ViewArray< VX > &x, VY &x1, ViewArray< VY > &y)
template<class VX>
void | eliminate_zero (ViewArray< VX > &x, int &n_zero)

## Detailed Description

Boolean propagators.

## Function Documentation

## resubscribe()

template<class VX, class VY>

ExecStatus Gecode::Int::Bool::resubscribe | ( | Space & | home,
|  | Propagator & | p,
|  | VX & | x0,
|  | ViewArray< VX > & | x,
|  | VY & | x1,
|  | ViewArray< VY > & | y )

inline

Definition at line 138 of file clause.hpp.

## eliminate_zero()

template<class VX>

void Gecode::Int::Bool::eliminate_zero | ( | ViewArray< VX > & | x,
|  | int & | n_zero )

inline

Definition at line 224 of file clause.hpp.